Bug 174906 - [MAINTAINER] sysutils/lsof: Update to full 4.87 release
[MAINTAINER] sysutils/lsof: Update to full 4.87 release
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Ruslan Makhmatkhanov
Depends on:
  Show dependency treegraph
Reported: 2013-01-02 18:40 UTC by Larry Rosenman
Modified: 2013-01-02 21:30 UTC (History)
0 users

See Also:

lsof-4.87,7.patch (1.34 KB, patch)
2013-01-02 18:40 UTC, Larry Rosenman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Larry Rosenman 2013-01-02 18:40:01 UTC
Update to 4.87:
4.87            January 2, 2013
                Added an entry to 00FAQ about lsof behavior when the
                HASSECURITY and HASNOSOCKSECURITY options are defined.
                Carson Gaspar <carson@taltos.org> pointed out the need
                for this clarification.

                Added a work-around for a missing definition of mach_port_t
                in Darwin 9 (Mac OS/X 10.5.8).  The work-around was supplied
                by Jim Reid <jim@rfc1035.com>.

                Added support for Linux anon_inodefs, provided by Masatake
                YAMATO <yamato@redhat.com>.

                Documented a Solaris 9 and 10 portmap reporting problem
                (+M) in 00FAQ.  The problem was reported by Clint
                Roberts <Clint.Roberts@ttius.com>.  I have no solution
                to the problem, but discuss a possible work-around in
                the answer to this 00FAQ question: "Why doesn't lsof
                report portmap registrations for some Solaris versions?"

                Added FreeBSD support for the oldnfs and newnfs file system
                types.  Daniel Braniss <danny@cs.huji.ac.il> reported the
                need for the addition.

                Added ICMP socket support for Linux with code provided by
                Masatake YAMATO <yamato@redhat.com>.

                Corrected the reporting of process group ID for libproc
                versions of Mac OS X with a patch from Jeff Trawick
                <trawick@gmail.com>.  The patch has not been applied to
                Darwin kmem versions, because of little call for them
                and inadequate test system access.  The patch has been
                tested on Mac OS X 10.8 (Mountain Lion), courtesy of a
                test system provided by Allan Nathanson <ajn@apple.com>.

                Added thread support to those FreeBSD versions that have
                ki_numthreads in their kinfo_proc structure.  This also
                activates the -K option for those FreeBSD versions.  Jeff
                Trawick reported problems with FreeBSD lsof when threads
                are present and this addition solves those problems.

                Made changes to 00FAQ and the distribution, suggested by
                Warren Young <warren@etr-usa.com>.  The 00FAQ changes
                center on sections that discuss the -s option.  The changes
                to the distribution include a ChangeLog file that is either
                a pointer to or a copy of 00DIST, the distribution notes.

                Added support to FreeBSD for using the clang compiler.

                Added Linux support for using the getxattr() call to obtain
                socket protocol identification when it is can't be obtained
                from the /proc/net files that lsof examines.  Masatake YAMATO
                <yamato@redhat.com> developed the kernel patch to getxattr()
                and supplied the lsof patch.

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Larry Rosenman 2013-01-02 20:45:11 UTC
Please also remove the USE_GCC = any line from the makefile, as this 
release works fine with clang.

Comment 2 Ruslan Makhmatkhanov freebsd_committer 2013-01-02 21:21:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 3 dfilter freebsd_committer 2013-01-02 21:22:19 UTC
Author: rm
Date: Wed Jan  2 21:22:12 2013
New Revision: 309838
URL: http://svnweb.freebsd.org/changeset/ports/309838

  - update to 4.87
  - trim Makefile header
  - remove USE_GCC (builds fine with clang)
  - bump PORTEPOCH (4.87A is greater than 4.87)
  PR:		174906
  Submitted by:	Larry Rosenman <ler@lerctr.org> (maintainer)


Modified: head/sysutils/lsof/Makefile
--- head/sysutils/lsof/Makefile	Wed Jan  2 21:09:45 2013	(r309837)
+++ head/sysutils/lsof/Makefile	Wed Jan  2 21:22:12 2013	(r309838)
@@ -1,14 +1,9 @@
-# ex:ts=8
-# Ports collection makefile for:  lsof
-# Date created:			  Sat July 20, 1996
-# Whom:				  David O'Brien (obrien@FreeBSD.org)
+# Created by: obrien@FreeBSD.org
 # $FreeBSD$
 CATEGORIES=	sysutils
 MASTER_SITES=	http://ftp.cerias.purdue.edu/pub/tools/unix/sysutils/lsof/ \
 		ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/  \
@@ -31,7 +26,7 @@ MAINTAINER=	ler@lerctr.org
 COMMENT=	Lists information about open files (similar to fstat(1))
 #Please leave the below line in for the next clean up.
 .if defined(FIXUP_RELEASE)
@@ -40,7 +35,6 @@ WRKSRC=		${WRKDIR}/${DISTNAME}/${SRCBALL
 USE_BZIP2=	yes
-USE_GCC=	any
 .include <bsd.port.pre.mk>

Modified: head/sysutils/lsof/distinfo
--- head/sysutils/lsof/distinfo	Wed Jan  2 21:09:45 2013	(r309837)
+++ head/sysutils/lsof/distinfo	Wed Jan  2 21:22:12 2013	(r309838)
@@ -1,2 +1,2 @@
-SHA256 (lsof_4.87A.freebsd.tar.bz2) = 5fa507004ed471ddd5ce613a20068c6326d4690d3f180f4ea3fb00b3528e7826
-SIZE (lsof_4.87A.freebsd.tar.bz2) = 480290
+SHA256 (lsof_4.87.tar.bz2) = dfdd3709d82bc79ccdf3e404b84aafa9aede5948642a824ecaefd0aac589da2c
+SIZE (lsof_4.87.tar.bz2) = 773664
svn-ports-all@freebsd.org mailing list
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2013-01-02 21:23:45 UTC
State Changed
From-To: open->closed

Committed, thank you!